#!/usr/bin/env python

import libxml2dom.xmlrpc

request = """<?xml version="1.0"?>
<methodCall>
   <methodName>examples.getStateName</methodName>
   <params>
      <param>
         <value><i4>41</i4></value>
         </param>
      </params>
   </methodCall>"""

req = libxml2dom.xmlrpc.parseString(request)

response = """<?xml version="1.0"?>
<methodResponse>
   <params>
      <param>
         <value><string>South Dakota</string></value>
         </param>
      </params>
   </methodResponse>"""

resp = libxml2dom.xmlrpc.parseString(response)

failed = """<?xml version="1.0"?>
<methodResponse>
   <fault>
      <value>
         <struct>
            <member>
               <name>faultCode</name>
               <value><int>4</int></value>
               </member>
            <member>
               <name>faultString</name>
               <value><string>Too many parameters.</string></value>
               </member>
            </struct>
         </value>
      </fault>
   </methodResponse>"""

f = libxml2dom.xmlrpc.parseString(failed)

# vim: tabstop=4 expandtab shiftwidth=4
